BackendHTTP APISyncs
Start sync(s)
Requires an API key with the environment:syncs:execute scope. Learn more about API key scopes.
POST
Starts the schedule of specified sync(s) for a given connection or all applicable connections if no connection is specified. Upon starting the schedule, the sync will execute immediately and then continue to run at the specified frequency. If the schedule was already started, this will have no effect.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
provider_config_key*stringThe ID of the integration that you established within Tenklo.
connection_id?stringThe ID of the connection. If omitted, the syncs will be started for all relevant connections.
syncs*array<>|array<>Successfully started the sync
application/json- response
success*booleancurl -X POST 'https://api.tenklo.dev/sync/start' \ -H 'Content-Type: application/json' \ -d '{ "provider_config_key": "string", "syncs": [ "string" ]}'Example Response
{ "success": true}